[Pet Information]:
After reaching level 35 a character can undertake a quest to obtain a hatchling. Just like its master, a hatchling will mature with experience. Once it reaches a certain level it may be transformed into a strider or a wyvern and become a suitable mode of transportation.
There are three types of hatchling: hatchling of the wind, hatchling of the stars, and hatchling of twilight. Each has unique characteristics. This quest begins by meeting with Pet Manager Cooper of Giran Castle Town.
Return
Close Window